clear
set more off

insheet using "Study2Data.csv", names
drop age

* Real (non-test) records
keep if status =="IP Address"
keep if responseid~=""
gen date=date(startdate,"MDYhm")
drop if date>mdy(11,2,2020) | date==.

* Must consent
keep if consent =="I agree to participate"

* Must be 18
*Demographics
rename v153 age
drop if age<18

count

* Filter on passing attention check
keep if newscomp2=="Because he left his ID"

count

tab voteinperson alreadyvoted, missing
tab voteinperson registered, missing

* Can't have already voted; never assigned to treatment
count
drop if alreadyvoted~="No"
* One additional person was never assigned treatment
drop if risk==.

count

drop if registered != "Yes"

count

* Remove identifying information and questions for other (non-COVID) studies
drop startdate- progress responseid recipientlastname recipientfirstname recipientemail externalreference locationlatitude locationlongitude distributionchannel zip
drop comp1-decreasefraudvlegit_1 
drop survey_website survey_compensation rid useragent v163 fraud1-displayedasnumbers

save Study2Anonymized.dta, replace
